Package com.verisign.epp.codec.signedMark

## Class EPPIssuer

- java.lang.Object
- - com.verisign.epp.codec.signedMark.EPPIssuer

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPIssuer
      extends java.lang.Object
      implements EPPCodecComponent

  Class for an address within an `EPPMarkContact`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | Constant for the local name
    `static java.lang.String` | `ELM_NAME` | Constant for the tag name

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPIssuer()` | Default constructor for `EPPIssuer`.
    `EPPIssuer​(java.lang.String aId, java.lang.String aOrg, java.lang.String aEmail)` | Constructor for `EPPIssuer` that takes the required attributes.
    `EPPIssuer​(java.lang.String aId, java.lang.String aOrg, java.lang.String aEmail, java.lang.String aUrl, java.lang.String aVoice, java.lang.String aVoiceExt)` | Constructor for `EPPIssuer` with all attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPIssuer`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the `EPPMark` component
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Sets all this instance's data in the given XML document
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPIssuer` compare.
    `java.lang.String` | `getEmail()` | Gets the issuer customer support email address.
    `java.lang.String` | `getId()` | Gets the issuer identifier.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getOrg()` | Gets the organization name of the issuer.
    `java.lang.String` | `getUrl()` | Gets HTTP URL of the issuer's site.
    `java.lang.String` | `getVoice()` | Gets the issuer's voice telephone number.
    `java.lang.String` | `getVoiceExt()` | Gets the issuer's voice telephone number extension.
    `void` | `setEmail​(java.lang.String aEmail)` | Sets the issuer customer support email address.
    `void` | `setId​(java.lang.String aId)` | Sets the issuer identifier.
    `void` | `setOrg​(java.lang.String aOrg)` | Sets the organization name of the issuer.
    `void` | `setUrl​(java.lang.String aUrl)` | Sets HTTP URL of the issuer's site.
    `void` | `setVoice​(java.lang.String aVoice)` | Sets the issuer's voice telephone number.
    `void` | `setVoiceExt​(java.lang.String aVoiceExt)` | Sets the issuer's voice telephone extension number.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the tag name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPIssuer

          public EPPIssuer()

      Default constructor for `EPPIssuer`.

    - #### EPPIssuer

          public EPPIssuer​(java.lang.String aId,
                           java.lang.String aOrg,
                           java.lang.String aEmail)

      Constructor for `EPPIssuer` that takes the required attributes.
      Parameters:
        `aId` - Issuer identifier
        `aOrg` - Organization name of the issuer
        `aEmail` - Issuer customer support email address

    - #### EPPIssuer

          public EPPIssuer​(java.lang.String aId,
                           java.lang.String aOrg,
                           java.lang.String aEmail,
                           java.lang.String aUrl,
                           java.lang.String aVoice,
                           java.lang.String aVoiceExt)

      Constructor for `EPPIssuer` with all attributes.
      Parameters:
        `aId` - Issuer identifier
        `aOrg` - Organization name of the issuer
        `aEmail` - Issuer customer support email address
        `aUrl` - HTTP URL of the issuer's site
        `aVoice` - Issuer's voice telephone number.
        `aVoiceExt` - Issuer's voice telephone number extension.

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPIssuer`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPIssuer`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Sets all this instance's data in the given XML document
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - a DOM Document to attach data to.
      Returns:
        The root element of this component.
      Throws:
        `EPPEncodeException` - Thrown if any errors prevent encoding.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPMark` component
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root element of the `EPPMark`
      Throws:
        `EPPDecodeException` - Error decoding the `EPPMark`

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPIssuer` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPIssuer` instance to compare with
      Returns:
        true if equal false otherwise

    - #### getId

          public java.lang.String getId()

      Gets the issuer identifier.
      Returns:
        The issuer identifier if set; `null` otherwise.

    - #### setId

          public void setId​(java.lang.String aId)

      Sets the issuer identifier.
      Parameters:
        `aId` - The issuer identifier

    - #### getOrg

          public java.lang.String getOrg()

      Gets the organization name of the issuer.
      Returns:
        The organization name of the issuer if set; `null` otherwise.

    - #### setOrg

          public void setOrg​(java.lang.String aOrg)

      Sets the organization name of the issuer.
      Parameters:
        `aOrg` - The organization name of the issuer.

    - #### getEmail

          public java.lang.String getEmail()

      Gets the issuer customer support email address.
      Returns:
        Issuer customer support email address if set; `null` otherwise.

    - #### setEmail

          public void setEmail​(java.lang.String aEmail)

      Sets the issuer customer support email address.
      Parameters:
        `aEmail` - Issuer customer support email address

    - #### getUrl

          public java.lang.String getUrl()

      Gets HTTP URL of the issuer's site.
      Returns:
        HTTP URL of the issuer's site if set; `null` otherwise.

    - #### setUrl

          public void setUrl​(java.lang.String aUrl)

      Sets HTTP URL of the issuer's site.
      Parameters:
        `aUrl` - Gets HTTP URL of the issuer's site.

    - #### getVoice

          public java.lang.String getVoice()

      Gets the issuer's voice telephone number.
      Returns:
        The issuer's voice telephone number if defined; `null` otherwise.

    - #### setVoice

          public void setVoice​(java.lang.String aVoice)

      Sets the issuer's voice telephone number.
      Parameters:
        `aVoice` - The issuer's voice telephone number.

    - #### getVoiceExt

          public java.lang.String getVoiceExt()

      Gets the issuer's voice telephone number extension.
      Returns:
        The issuer's voice telephone number extension if defined; `null` otherwise.

    - #### setVoiceExt

          public void setVoiceExt​(java.lang.String aVoiceExt)

      Sets the issuer's voice telephone extension number.
      Parameters:
        `aVoiceExt` - The issuer's voice telephone extension number.

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.